/*
* @Author: Bartuccio Antoine
* @Date:   2018-07-23 15:24:22
* @Last Modified by:   klmp200
* @Last Modified time: 2018-07-23 16:05:01
 */

package main

import (
	"./settings"
	tb "gopkg.in/tucnak/telebot.v2"
	"log"
	"time"
)

func main() {
	settings.LoadSettings("settings.json", "settings_custom.json")

	log.Println("Bot initialisation")
	b, err := tb.NewBot(tb.Settings{
		Token:  settings.Settings["token"].(string),
		Poller: &tb.LongPoller{Timeout: 10 * time.Second},
	})
	if err != nil {
		log.Fatal(err)
		return
	}

	b.Handle("/hello", func(m *tb.Message) {
		b.Send(m.Sender, "Bonjour monsieur")
	})

	log.Println("Starting bot")
	b.Start()
}
